Bug 19350 - Holds without link in 773 trigger SQL::Abstract::puke
Summary: Holds without link in 773 trigger SQL::Abstract::puke
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-20 13:58 UTC by Dobrica Pavlinusic
Modified: 2017-10-18 21:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19350 - Holds without link in 773 trigger SQL::Abstract::puke (1.30 KB, patch)
2017-09-20 15:30 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 19350 - Holds without link in 773 trigger SQL::Abstract::puke (1.35 KB, patch)
2017-09-22 09:00 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19350: Add tests (1.32 KB, patch)
2017-10-03 15:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2017-09-20 13:58:55 UTC

    
Comment 1 Dobrica Pavlinusic 2017-09-20 15:30:55 UTC
Created attachment 67239 [details] [review]
Bug 19350 - Holds without link in 773 trigger SQL::Abstract::puke

Test:
1. find bibio without items which has something in field 773
   (for us, it's article) but doesn't have 0 or 9 (host item entry)
2. click on hold in left menu
3. verify application error
4. apply patch and verify that it works

Current status: NEW
Comment 2 Josef Moravec 2017-09-22 09:00:35 UTC
Created attachment 67311 [details] [review]
Bug 19350 - Holds without link in 773 trigger SQL::Abstract::puke

Test:
1. find bibio without items which has something in field 773
   (for us, it's article) but doesn't have 0 or 9 (host item entry)
2. click on hold in left menu
3. verify application error
4. apply patch and verify that it works

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Julian Maurice 2017-09-29 08:00:59 UTC
Please write tests.
Comment 4 Dobrica Pavlinusic 2017-10-03 11:46:12 UTC
Unfortunately, my rapidly progressing cataract don't allow me to spend sufficient time to learn how to write code tests for this bug. I was hoping that test scenario will be enough. Sorry.
Comment 5 Jonathan Druart 2017-10-03 15:17:45 UTC
Created attachment 67562 [details] [review]
Bug 19350: Add tests
Comment 6 Jonathan Druart 2017-10-03 15:19:57 UTC
(In reply to Dobrica Pavlinusic from comment #4)
> Unfortunately, my rapidly progressing cataract don't allow me to spend
> sufficient time to learn how to write code tests for this bug. I was hoping
> that test scenario will be enough. Sorry.

Thanks for your patches Dobrica, good to know you are still around :)
Take care.
Comment 7 Jonathan Druart 2017-10-03 18:24:19 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-17 07:26:58 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 9 Katrin Fischer 2017-10-18 21:04:34 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.